summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xmakesrc.sh25
-rw-r--r--php-phpstan-phpdoc-parser.spec13
2 files changed, 16 insertions, 22 deletions
diff --git a/makesrc.sh b/makesrc.sh
index a68df44..f2a2aed 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -4,31 +4,24 @@ NAME=$(basename $PWD)
OWNER=$(sed -n '/^%global gh_owner/{s/.* //;p}' $NAME.spec)
PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
VERSION=$(sed -n '/^Version:/{s/.* //;p}' $NAME.spec)
-COMMIT=$(sed -n '/^%global gh_commit/{s/.* //;p}' $NAME.spec)
-SHORT=${COMMIT:0:7}
-if [ -f $NAME-$VERSION-$SHORT.tgz ]; then
- echo Skip $NAME-$VERSION-$SHORT.tgz
+if [ -f $NAME-$VERSION.tgz ]; then
+ echo "$NAME-$VERSION.tgz already there"
else
- echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION\n"
+ echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION \n"
echo "Cloning..."
- rm -rf $PROJECT-$COMMIT
- git clone https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT
+ rm -rf $PROJECT-$VERSION
+ git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch $VERSION $PROJECT-$VERSION || exit 1
- echo "Getting commit..."
- pushd $PROJECT-$COMMIT
- git checkout $COMMIT || exit 1
- cp composer.json ../composer.json
- rm build-abnfgen.sh
- rm tests/abnfgen-0.20.tar.gz
- popd
+ echo "Getting composer..."
+ cp $PROJECT-$VERSION/composer.json composer.json
echo "Archiving..."
- tar czf $NAME-$VERSION-$SHORT.tgz --exclude .git $PROJECT-$COMMIT
+ tar czf $NAME-$VERSION.tgz --exclude-vcs $PROJECT-$VERSION
echo "Cleaning..."
- rm -rf $PROJECT-$COMMIT
+ rm -rf $PROJECT-$VERSION
echo "Done."
fi
diff --git a/php-phpstan-phpdoc-parser.spec b/php-phpstan-phpdoc-parser.spec
index 04e28f0..2987fe7 100644
--- a/php-phpstan-phpdoc-parser.spec
+++ b/php-phpstan-phpdoc-parser.spec
@@ -9,8 +9,6 @@
%bcond_without tests
-%global gh_commit a004701b11273a26cd7955a61d67a7f1e525a45a
-%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner phpstan
%global gh_project phpdoc-parser
%global php_home %{_datadir}/php
@@ -19,14 +17,14 @@
%global major %nil
Name: php-%{gh_owner}-%{gh_project}%{major}
-Version: 2.3.2
+Version: 2.3.3
Release: 1%{?dist}
Summary: PHPDoc parser with support for nullable, intersection and generic types
License: MIT
URL: https://github.com/%{gh_owner}/%{gh_project}
# git snapshot to retrieve test suite
-Source0: %{name}-%{version}-%{gh_short}.tgz
+Source0: %{name}-%{version}.tgz
Source1: makesrc.sh
BuildArch: noarch
@@ -69,7 +67,7 @@ Next generation phpDoc parser with support for intersection types and generics.
%prep
-%setup -q -n %{gh_project}-%{gh_commit}
+%setup -q -n %{gh_project}-%{version}
%build
@@ -101,7 +99,7 @@ sed -e 's:exec://exec:' -i tests/bootstrap.php
# use auto_prepend_file to ensure we use new version (not old one pulled by PHPUnit)
# ignore test using doctrine/annotations
ret=0
-for cmdarg in "php %{phpunit}" php82 php83 php84 php85; do
+for cmdarg in "php %{phpunit}" php82 php83 php84 php85 php86; do
if which $cmdarg; then
set $cmdarg
$1 -d auto_prepend_file=vendor/autoload.php \
@@ -127,6 +125,9 @@ exit $ret
%changelog
+* Wed Jul 8 2026 Remi Collet <remi@remirepo.net> - 2.3.3-1
+- update to 2.3.3
+
* Mon Jan 26 2026 Remi Collet <remi@remirepo.net> - 2.3.2-1
- update to 2.3.2